Hi guys,

Because of a customization application error, I have upgraded software 1.1.2 to 1.1.3. Now it seems that I can't use my Singapore simcard or the Iphone...can anyone help if I can ever step down to 1.1.2? Or anyway, to restore my unit to serviceable condition.. please please help...